Page MenuHomePhabricator

Cross-wiki notifications on mobile show separate alerts and messages bundles, but each bundle contains both alerts and messages
Closed, ResolvedPublic

Description

Note how every cross-wiki notification is listed twice.

Event Timeline

Catrope created this task.Mar 23 2016, 11:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 11:54 PM
Etonkovidova added a subscriber: Etonkovidova.EditedMar 29 2016, 2:54 PM

Test case to check after the fix:

  1. There are one message from cawiki and one message and two thanks from hewiki.
  1. The mobile Notificaiton panel correctly shows two sections - Messages and Alerts and the count is correct

  1. When Messages are expanded - all Notifications from both wikis will be displayed: two messages (one from cawiki and one form hewiki) and two alerts (both alerts are from hewiki) .
  1. When Alerts are expanded - all Notifications from hewiki will be displayed: a message and two alerts.

Change 280909 had a related patch set uploaded (by Matthias Mullie):
Make foreign NotificationGroupItems aware of their section

https://gerrit.wikimedia.org/r/280909

Change 280909 merged by jenkins-bot:
Make foreign NotificationGroupItems aware of their section

https://gerrit.wikimedia.org/r/280909

The patch fixes this in that notifications are no longer duplicated, but we still show two separate bundles, one for alerts and one for messages. We probably want to merge these two bundles; I've filed T131683: Cross-wiki notifications on mobile show separate bundles for alerts and messages, should be one bundle for that.

Checked the fix in betalabs.

jmatazzoni closed this task as Resolved.Apr 8 2016, 11:58 PM